Pixels

GET https://beta2.socdo.com/api/pixels/
curl --request GET \
--url 'https://beta2.socdo.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi (String) Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi (String) Trường bạn đang tìm kiếm. Các giá trị cho phép: name , pixel.
type Tùy chọn Chuỗi (String) Giá trị cho phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
order_by Tùy chọn Chuỗi (String) Trường để sắp xếp kết quả. Các giá trị cho phép: pixel_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi (String) Thứ tự sắp xếp kết quả. Các giá trị cho phép: ASC cho sắp xếp tăng dần và DESC cho sắp xếp giảm dần.
page Tùy chọn Số nguyên (Integer) Số trang bạn muốn lấy kết quả. Mặc định là 1.
results_per_page Tùy chọn Số nguyên (Integer) Số lượng kết quả bạn muốn trên mỗi trang. Các giá trị cho phép: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-10-13 16:21:05",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://beta2.socdo.com/api/pixels?page=1",
        "last": "https://beta2.socdo.com/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://beta2.socdo.com/api/pixels?page=1"
    }
}
GET https://beta2.socdo.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://beta2.socdo.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-10-13 16:21:05",
    }
}
POST https://beta2.socdo.com/api/pixels
Tham số Chi tiết Mô tả
type Bắt buộc Chuỗi (String) Giá trị cho phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
name Bắt buộc Chuỗi (String) -
pixel Bắt buộc Chuỗi (String) -
curl --request POST \
--url 'https://beta2.socdo.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://beta2.socdo.com/api/pixels/{pixel_id}
Tham số Chi tiết Mô tả
type Tùy chọn Chuỗi (String) Giá trị cho phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
name Tùy chọn Chuỗi (String) -
pixel Tùy chọn Chuỗi (String) -
curl --request POST \
--url 'https://beta2.socdo.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://beta2.socdo.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://beta2.socdo.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \